Skip to main content
`Ctrl`+`K`

# SNESLineSearchBTGetAlpha

Gets the descent parameter, `alpha`, in the `SNESLINESEARCHBT` variant that was set with `SNESLineSearchBTSetAlpha()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchBTGetAlpha(SNESLineSearch linesearch, PetscReal *alpha)

## Input Parameter

- linesearch - linesearch context

## Output Parameter

- alpha - The descent parameter

## See Also

SNES: Nonlinear Solvers, `SNESLineSearch`, `SNESLineSearchGetLambda()`, `SNESLineSearchGetTolerances()`, `SNESLINESEARCHBT`, `SNESLineSearchBTSetAlpha()`

## Level

intermediate

## Location

src/snes/linesearch/impls/bt/linesearchbt.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages